CRAN Package Check Results for Package sharpshootR

Last updated on 2021-06-16 10:52:34 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.8.1 21.25 194.66 215.91 NOTE
r-devel-linux-x86_64-debian-gcc 1.8.1 16.82 144.83 161.65 NOTE
r-devel-linux-x86_64-fedora-clang 1.8.1 267.39 NOTE
r-devel-linux-x86_64-fedora-gcc 1.8.1 149.22 NOTE
r-devel-windows-x86_64 1.8.1 34.00 225.00 259.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 1.8.1 NOTE
r-patched-linux-x86_64 1.8.1 23.60 181.07 204.67 NOTE
r-patched-solaris-x86 1.8.1 364.30 ERROR
r-release-linux-x86_64 1.8.1 20.63 180.72 201.35 NOTE
r-release-macos-arm64 1.8.1 NOTE
r-release-macos-x86_64 1.8.1 NOTE
r-release-windows-ix86+x86_64 1.8.1 48.00 239.00 287.00 NOTE
r-oldrel-macos-x86_64 1.8.1 NOTE
r-oldrel-windows-ix86+x86_64 1.8.1 51.00 229.00 280.00 NOTE

Check Details

Version: 1.8.1
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'hydromad'
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64, r-patched-linux-x86_64, r-patched-solaris-x86, r-release-linux-x86_64, r-release-macos-x86_64, r-release-windows-ix86+x86_64, r-oldrel-macos-x86_64, r-oldrel-windows-ix86+x86_64

Version: 1.8.1
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking:
     'spdep', 'hydromad', 'daymetr', 'elevatr'
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 1.8.1
Check: examples
Result: ERROR
    Running examples in ‘sharpshootR-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: vizAnnualClimate
    > ### Title: Annual Climate Summaries for Soil Series Data
    > ### Aliases: vizAnnualClimate
    >
    > ### ** Examples
    >
    >
    > if(requireNamespace("curl") &
    + curl::has_internet() &
    + require(soilDB) &
    + require(aqp) &
    + require(latticeExtra)
    + ) {
    +
    + # soil series of interest
    + soil <- 'ARBUCKLE'
    +
    + # get competing series
    + sdata <- fetchOSD(soil, extended = TRUE)
    +
    + # get competing series' data
    + sdata.competing <- fetchOSD(c(soil, sdata$competing$competing))
    +
    + # only use established series
    + idx <- which(sdata.competing$series_status == 'established')
    +
    + # subset as needed
    + if(length(idx) < length(sdata.competing)) {
    + sdata.competing <- sdata.competing[idx, ]
    +
    + }
    +
    + # now get the extended data
    + sdata.competing.full <- fetchOSD(site(sdata.competing)$id, extended = TRUE)
    +
    + # extract SPC
    + spc <- sdata.competing.full$SPC
    +
    + # full set of series names
    + s.names <- unique(site(spc)$id)
    +
    + # todo: probably better ways to do this...
    + # note: need to load lattice for this to work
    + trellis.par.set(plot.line=list(col='RoyalBlue'))
    +
    + # control center symbol and size here
    + res <- vizAnnualClimate(
    + sdata.competing.full$climate.annual,
    + s = soil,
    + IQR.cex = 1.1,
    + cex = 1.1,
    + pch = 18
    + )
    +
    + # plot figure
    + print(res$fig)
    +
    + # check clustering
    + str(res$clust)
    +
    + # do something with clustering
    + op <- par(no.readonly = TRUE)
    +
    + par(mar=c(0,0,1,1))
    + plotProfileDendrogram(spc, clust = res$clust, scaling.factor = 0.075, width = 0.2, y.offset = 0.5)
    + mtext('sorted by annual climate summaries', side = 3, at = 0.5, adj = 0, line = -1.5, font=3)
    +
    + par(op)
    +
    + }
    Loading required package: soilDB
    Loading required package: aqp
    This is aqp 1.29
    
    Attaching package: ‘aqp’
    
    The following object is masked from ‘package:stats’:
    
     filter
    
    Loading required package: latticeExtra
    Loading required package: lattice
    Error in open.connection(con, "rb") :
     Timeout was reached: [casoilresource.lawr.ucdavis.edu] Operation timed out after 10000 milliseconds with 0 out of 0 bytes received
    error
    Error in lower.to.upper.tri.inds(n) : 'n' must be >= 2
    Calls: vizAnnualClimate
    Execution halted
Flavor: r-patched-solaris-x86

Version: 1.8.1
Check: package dependencies
Result: NOTE
    Packages suggested but not available for checking:
     'rgdal', 'spdep', 'hydromad', 'elevatr'
Flavor: r-release-macos-arm64